curl --request GET \
--url https://api.synctera.com/v1/reward_templates/{reward_template_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/reward_templates/{reward_template_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/reward_templates/{reward_template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currency": "USD",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"is_enabled": true,
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "85943c51-e4ff-4e57-9558-08cab6b96364",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"subtype": "ACCOUNT_OPENING_BONUS",
"tenant": "abcdef_ghijkl",
"amount": 1000,
"description": "Referral Reward",
"metadata": {}
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Get a Reward template
Get a reward template by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of a reward template
"64438afd-fa20-4010-a573-2bbdca77cdb6"
Response
Returned reward template
currency for the reward, as a three character ISO 4217 alphabetic currency code.
"USD"
The ID of default internal_account to use as the source of the reward transfer. Cannot be a system internal account.
"42943c51-e4ff-4e57-9558-08cab6b963c8"
Whether the reward template is enabled. If false, rewards cannot be created from this template.
true
The timestamp representing when the reward template was created
"2010-05-06T12:23:34.321Z"
The ID of the reward template.
"85943c51-e4ff-4e57-9558-08cab6b96364"
The timestamp representing when the reward template was last modified
"2010-05-06T12:23:34.321Z"
A short string representing the sub-type of the reward. This will be used as the subtype of the resulting transaction.
ACCOUNT_OPENING_BONUS, ACCOUNT_OPENING_BONUS_REVERSAL, CASHBACK, CASHBACK_REVERSAL, INTEREST_RATE_BONUS, INTEREST_RATE_BONUS_REVERSAL, LOAN_INTEREST_RATE_REDUCTION, LOAN_INTEREST_RATE_REDUCTION_REVERSAL, MANUAL_ADJUSTMENT, MANUAL_ADJUSTMENT_REVERSAL, MILES, MILES_REVERSAL, MISCELLANEOUS, MISCELLANEOUS_REVERSAL, POINTS, POINTS_REVERSAL, REFERRAL_BONUS, REFERRAL_BONUS_REVERSAL The id of the tenant containing the resource.
"abcdef_ghijkl"
The default amount of the reward in ISO 4217 minor currency units, e.g. cents. The internal account will be debited this amount. Can be overridden when creating a reward.
1000
The description of the reward template.
"Referral Reward"
Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.
Was this page helpful?

